# vim: set ft=spec: -*- rpm-spec -*-

Name: mediatomb
Version: 0.11.0
Release: alt3

Summary: UPnP AV Mediaserver for Linux
Group: System/Servers
License: GPLv2
Url: http://mediatomb.cc/

Packager: Sir Raorn <raorn@altlinux.ru>

Source: %name-%version.tar
Patch: %name-%version-%release.patch

Source1: mediatomb.init
Source2: mediatomb.sysconfig

# Automatically added by buildreq on Tue Jul 15 2008
BuildRequires: gcc-c++ libMySQL-devel libavformat-devel libexif-devel libexpat-devel libjs-devel libmagic-devel libsqlite3-devel libtag-devel zlib-devel

%description
MediaTomb is an open source (GPL) UPnP MediaServer with a nice web user
interface, it allows you to stream your digital media through your home
network and listen to/watch it on a variety of UPnP compatible devices.

MediaTomb implements the UPnP MediaServer V 1.0 specification that can
be found on http://www.upnp.org/.

%prep
%setup -q
%patch -p1

%build
%autoreconf
%configure \
	--enable-sighup \
	--enable-mrreg-service \
	--enable-protocolinfo-extension \
	--enable-external-transcoding \
	--disable-curl \
	#
%make_build

%install
mkdir -p %buildroot{%_sysconfdir/sysconfig,%_initdir,%_localstatedir/%name}
%make_install DESTDIR=%buildroot install

install -p -m755 %_sourcedir/mediatomb.init %buildroot%_initdir/mediatomb
install -p -m644 %_sourcedir/mediatomb.sysconfig %buildroot%_sysconfdir/sysconfig/mediatomb

%pre
%_sbindir/groupadd -r -f _mediatomb >/dev/null 2>&1 ||:
%_sbindir/useradd -r -n -g _mediatomb -d %_localstatedir/%name -s /dev/null -c 'MediaTomb UPnP(TM) A/V Media Server' _mediatomb >/dev/null 2>&1 ||:

%post
%post_service mediatomb

%preun
%preun_service mediatomb

%files
%doc README AUTHORS ChangeLog COPYING
%doc doc/scripting.txt doc/scripting_utf8.txt
%config %_initdir/mediatomb
%config(noreplace) %_sysconfdir/sysconfig/mediatomb
%_bindir/mediatomb
%_datadir/%name
%_man1dir/*
%attr(3770,root,_mediatomb) %dir %_localstatedir/%name

%changelog
* Tue Jul 07 2009 Alexey I. Froloff <raorn@altlinux.org> 0.11.0-alt3
- Fixed build with recent gcc

* Tue Dec 30 2008 Sir Raorn <raorn@altlinux.ru> 0.11.0-alt2
- Fixed typo in syslog support code

* Mon Jul 14 2008 Sir Raorn <raorn@altlinux.ru> 0.11.0-alt1
- Built for Sisyphus

